Bug 1061896 - Please apply memcpy -> memmove patch
Summary: Please apply memcpy -> memmove patch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zsh
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 20:37 UTC by Ben Boeckel
Modified: 2014-07-13 02:53 UTC (History)
3 users (show)

Fixed In Version: zsh-5.0.5-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-13 02:53:08 UTC


Attachments (Terms of Use)

Description Ben Boeckel 2014-02-05 20:37:05 UTC
When using histreduceblanks, the history gets corrupted due to the use of memcpy rather than memmove. There is a patch upstream available, but it it also in 5.0.3 and beyond if an upgrade is being done.

http://sourceforge.net/p/zsh/code/ci/98b0828c63a5e77ad313896029c854b0c3721cc9/

Comment 1 Thomas Moschny 2014-04-16 09:20:56 UTC
This bug (history corruption) is indeed annoying, please fix!

Thanks Ben for providing a workaround.

Comment 2 Fedora Update System 2014-07-03 00:00:40 UTC
zsh-5.0.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zsh-5.0.5-1.fc20

Comment 3 Fedora Update System 2014-07-03 00:00:57 UTC
zsh-5.0.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/zsh-5.0.5-1.fc19

Comment 4 Dominic Hopf 2014-07-03 00:06:03 UTC
Thanks very much for reporting this issue and your patience while I investigated some issues with building 5.0.5. Please feel free to test the update as soon as it is available via updates-testing and provide me with feedback if something is not working as expected.

Comment 5 Fedora Update System 2014-07-04 00:28:34 UTC
Package zsh-5.0.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zsh-5.0.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8041/zsh-5.0.5-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-07-13 02:53:08 UTC
zsh-5.0.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-07-13 02:53:53 UTC
zsh-5.0.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.